Summary:	Clipboard history plugin for the Xfce panel
Summary(de):	Zwischenablagehistorieerweiterung für das Xfce-Panel
Name:		xfce4-clipman-plugin
Version:	1.2.6
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfce4ui-devel >= 4.4.2
BuildRequires:	libxfce4util-devel
BuildRequires:	exo-devel
BuildRequires:	intltool
BuildRequires:	%{_lib}xtst-devel
BuildRequires:	gettext-devel
BuildRequires:	libpthread-stubs
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	xfce-clipman-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%define __libtoolize    /bin/true


%description
Clipboard history panel plugin for the Xfce Desktop Environment.

#german
%description -l de
Zwischenablagehistorieerweiterung für das Xfce-Panel

#french
%description -l fr
Presse-papiers histoire panel plugin pour l'environnement de bureau Xfce.

#spanish
%description -l es
Historia plugin Portapapeles de panel para el entorno de escritorio Xfce.

#polish
%description -l pl
Clipboard history panel plugin for the Xfce Desktop Environment.

#serbian
%description -l sr
Остава историје панела плугин за Ксфце Десктоп окружење.

#dutch
%description -l nl
Klembord geschiedenis panel plugin voor de Xfce Desktop Environment.

%prep
%setup -q

%build
./autogen.sh --prefix=/usr --libdir=%{_libdir} --sysconfdir=%{_sysconfdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_bindir}/*
%{_libdir}/*
%{_datadir}/xfce4
%{_datadir}/applications
%{_datadir}/appdata/xfce4-clipman.appdata.xml
%{_iconsdir}/hicolor/*
%{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_sysconfdir}/xdg/autostart/xfce4-clipman-plugin-autostart.desktop

%changelog
* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 1.2.6-1pclos2016
- 1.2.6

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.2.4-2pclos2015
- rebuild against new libxfce4util7

* Wed Jun 17 2014 ghostbunny <ghostbunny at gmx dot de> 1.2.4-1pclos2014
- 1.2.4
- add BR gettext-devel
- drop BR libxfcegui4-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.2.3-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.2.3-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.3-1pclos2012
- 1.2.3
- added/fixed german summary and description
- fixed files section

* Thu Jan 19 2012 Neal <nealbrks0 at gmail.com> 1.2.2-1pclos2012
- added missing build dependency - libxtst-devel

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.2.2-1pclos2012
- update

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 1.0.2-2pclos2009
- gcc update

* Wed Jul 01 2009 johnnyblack <johnnyblack@inbox.com> 1.0.2-1pclos2009
- 1.0.2

* Tue Jun 23 2009 johnnyblack <johnnyblack@inbox.com> 1.0.1-1pclos2009
- 1.0.1

* Sat Apr 18 2009 pcserver <pcserver@hushmail.com> 0.9.1-1pclos2007
- 0.9.1

* Fri Apr 06 2009 pcserver <pcserver@hushmail.com> 0.9.0-1pclos2007
- create

